%define _hwdatadir %_datadir/hwdatabase/videoaliases
%define _fdidir %_datadir/hal/fdi/policy/20thirdparty

Name: xorg-drv-r128
Version: 6.8.0
Release: alt4.M41.1
Serial: 4
Summary: ATI Rage 128 video driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
Requires: xorg-x11-dri-r128 xorg-x11-extensions-glx
Provides: xorg-x11-drv-r128 = %serial:%version-%release
Obsoletes: xorg-x11-drv-r128

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: libmesa-devel xorg-fontsproto-devel xorg-glproto-devel xorg-randrproto-devel
BuildRequires: xorg-renderproto-devel xorg-videoproto-devel xorg-xextproto-devel
BuildRequires: xorg-xf86driproto-devel xorg-xproto-devel xorg-util-macros
BuildRequires: xorg-x11-sdk >= 1.4.0.90-alt21

%description
r128 is an Xorg driver for ATI Rage 128 based video cards. It contains full support for 8, 15, 16 and 24 bit pixel
depths, hardware acceleration of drawing primitives, hardware cursor, video modes up to 1800x1440@70Hz, doublescan
modes (e.g., 320x200 and 320x240), gamma correction at all pixel depths, a fully programming dot clock and robust text
mode restoration for VT switching. Dualhead is supported on M3/M4 mobile chips.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_x11modulesdir \
	--enable-dri \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

install -pD -m644 r128.xinf  %buildroot%_hwdatadir/r128.xinf
install -pD -m644 11-x11-video-r128.fdi %buildroot%_fdidir/20-x11-video-r128.fdi

%files
%_x11modulesdir/drivers/r128_drv.so
%_man4dir/r128.4*
%dir %_hwdatadir
%_hwdatadir/r128.xinf
%_fdidir/20-x11-video-r128.fdi

%changelog
* Mon Aug 25 2008 Valery Inozemtsev <shrek@altlinux.ru> 4:6.8.0-alt4.M41.1
- build for branch 4.1

* Sun Aug 24 2008 Valery Inozemtsev <shrek@altlinux.ru> 4:6.8.0-alt5
- 6.8.0 release

* Mon Jun 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 4:6.8.0-alt4
- renamed xorg-x11-drv-r128 to xorg-drv-ati
- added requires XORG_ABI_VIDEODRV = 2.0

* Fri Apr 18 2008 Valery Inozemtsev <shrek@altlinux.ru> 4:6.8.0-alt3
- GIT snapshot 2008-03-02 (a4fafa97b31bb7da01dd92236b42a418ca482992)
- initial build xf86-video-r128 apart from xf86-video-ati
